Somboon Advance Technology

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/somboon-advance-technology/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/somboon-advance-technology/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1765411200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://newswire.tickerapp.net/rns/2025-12-11/1742L/2THHw92W.content.html",
    "holding_balance": 620.0,
    "holding_net_change": -579.0,
    "transaction_value_usd": 53573150.37,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1775088000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.londonstockexchange.com/news-article/SATS/cost-reduction-programme-and-bitcoin-purchase/17531920",
    "holding_balance": 645.65,
    "holding_net_change": 25.65,
    "transaction_value_usd": 1827111.0,
    "average_entry_value_usd": 71232.4,
    "transaction_value_calculated": false
  },
  {
    "date": 1776816000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.londonstockexchange.com/news-article/SATS/bitcoin-acquisition/17561804",
    "holding_balance": 668.42,
    "holding_net_change": 22.77,
    "transaction_value_usd": 1800000.0,
    "average_entry_value_usd": 79051.38,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/somboon-advance-technology/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    668.42
  ],
  [
    1779062400000,
    668.42
  ],
  [
    1779148800000,
    668.42
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/somboon-advance-technology/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    51755667.021199994
  ],
  [
    1779062400000,
    51431088.9534
  ],
  [
    1779148800000,
    51307925.88419999
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/somboon-advance-technology/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 15.0,
    "date": "2026-05-15",
    "high": 15.2,
    "open": 15.1,
    "close": 15.1,
    "volume": 866458
  },
  {
    "low": 15.0,
    "date": "2026-05-18",
    "high": 15.2,
    "open": 15.1,
    "close": 15.1,
    "volume": 1066118
  },
  {
    "low": 15.0,
    "date": "2026-05-19",
    "high": 15.2,
    "open": 15.1,
    "close": 15.0,
    "volume": 458206
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/somboon-advance-technology/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": -0.08,
  "eps_estimate_current_quarter": 0.52
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/somboon-advance-technology/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 2.04,
  "six_month_return": 12.78,
  "three_month_return": 0.0
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/somboon-advance-technology/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.8,
  "total_btc_percentage": 0.003,
  "share_price_change_state": "down"
}